/*********************************************************************
*                SEGGER MICROCONTROLLER SYSTEME GmbH                 *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2004  SEGGER Microcontroller Systeme GmbH        *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

***** emWin - Graphical user interface for embedded applications *****
emWin is protected by international copyright laws.   Knowledge of the
source code may not be used to write a similar product.  This file may
only be used in accordance with a license and should not be re-
distributed in any way. We appreciate your understanding and fairness.
----------------------------------------------------------------------
File        : BASIC_TestMultibuffering.c
Purpose     : Changes colors as fast as possible to check if MB is
              working.
Requirements: WindowManager - ( )
              MemoryDevices - ( )
              AntiAliasing  - ( )
              VNC-Server    - ( )
              PNG-Library   - ( )
              TrueTypeFonts - ( )
----------------------------------------------------------------------
*/

#include "GUI.h"

/*******************************************************************
*
*       Public Code
*
********************************************************************
*/
/*********************************************************************
*
*       MainTask
*/
void MainTask(void) {
  GUI_COLOR aColor[] = { GUI_RED, GUI_GREEN, GUI_BLUE };
  int       Index;

  Index = 0;
  GUI_Init();
  while (1) {
    GUI_MULTIBUF_Begin();
    GUI_SetBkColor(aColor[Index++]);
    Index = (Index == GUI_COUNTOF(aColor)) ? 0 : Index;
    GUI_Clear();
    GUI_MULTIBUF_End();
    GUI_Exec();
  }
}

/*************************** End of file ****************************/
